Skip to content

Create wellness resource

Request

Creates a new Wellness Resource record. Canonical read model for a wellness resource (e.g., wellness plan, program, or package) within the Animal Health Data Standard.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
descriptionstring

Detailed description of the wellness resource.

Example:"Example description"
extensionsobject

Vendor- or practice-specific extensions.

isActivebooleanrequired

Indicates whether the wellness resource is currently active and available for use.

Example:true
namestringrequired

Human-readable name of the wellness resource.

Example:"Example Name"
resourceIdstring

Stable, opaque identifier for the wellness resource.

Example:"123e4567-e89b-12d3-a456-426614174000"
resourceTypestringrequired

High-level classification of the wellness resource.

Enum:"wellnessPlan""wellnessProgram""wellnessPackage""preventiveCareBundle""other"
Example:"wellnessPlan"
statusstringrequired

Lifecycle status of the wellness resource.

Enum:"draft""active""inactive""retired"
Example:"draft"
validFromDatestring

Date from which the wellness resource is valid.

Example:"2025-01-01"
validToDatestring

Date until which the wellness resource is valid, if applicable.

Example:"2025-01-01"
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/wellness-resource' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "description": "Example description",
    "extensions": {},
    "isActive": true,
    "name": "Example Name",
    "resourceId": "123e4567-e89b-12d3-a456-426614174000",
    "resourceType": "wellnessPlan",
    "status": "draft",
    "validFromDate": "2025-01-01",
    "validToDate": "2025-01-01"
  }'

Responses

Wellness Resource created successfully

Bodyapplication/json
createdAtstring, (date-time)required

Timestamp when the wellness resource was created.

Example:"2025-01-01T00:00:00.000Z"
descriptionstringrequired

Detailed description of the wellness resource.

Example:"Example description"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Indicates whether the wellness resource is currently active and available for use.

Example:true
namestringrequired

Human-readable name of the wellness resource.

Example:"Example Name"
resourceIdstringrequired

Stable, opaque identifier for the wellness resource.

Example:"123e4567-e89b-12d3-a456-426614174000"
resourceTypestringrequired

High-level classification of the wellness resource.

Enum:"wellnessPlan""wellnessProgram""wellnessPackage""preventiveCareBundle""other"
Example:"wellnessPlan"
statusstringrequired

Lifecycle status of the wellness resource.

Enum:"draft""active""inactive""retired"
Example:"draft"
updatedAtstring, (date-time)required

Timestamp when the wellness resource was last updated.

Example:"2025-01-01T00:00:00.000Z"
validFromDatestring, (date-time)required

Date from which the wellness resource is valid.

Example:"2025-01-01T00:00:00Z"
validToDatestring, (date-time)required

Date until which the wellness resource is valid, if applicable.

Example:"2025-01-01T00:00:00Z"
Response
{ "createdAt": "2025-01-01T00:00:00.000Z", "description": "Example description", "extensions": {}, "isActive": true, "name": "Example Name", "resourceId": "123e4567-e89b-12d3-a456-426614174000", "resourceType": "wellnessPlan", "status": "draft", "updatedAt": "2025-01-01T00:00:00.000Z", "validFromDate": "2025-01-01T00:00:00Z", "validToDate": "2025-01-01T00:00:00Z" }